<div class="d-flex justify-content-center">
  <form (ngSubmit)="addCatch()">
    <div class="form-group">
      <img [src]="imageSrc" height="300">
      <input type="file" class="form-control-file"  accept="image/png, image/jpeg" (change)="onFileChanged($event)" value="upload">
    </div>
    <div class="form-group d-flex justify-content-center">
      <label class="col-md-3">Length:</label>
      <input type="number" #length="ngModel" name="length" min="25" placeholder="Length (cm)" [(ngModel)]="catchScore.length">
    </div>
    <div class="d-flex justify-content-center">
      <button class="btn btn-primary" type="submit">Add catch</button>
    </div>
  </form>
</div>
